package org.implab.gradle.variants.sources;

import org.implab.gradle.variants.core.Role;
import org.implab.gradle.variants.core.Variant;
import org.implab.gradle.variants.core.VariantsView.VariantRoleLayer;

public record RoleProjection(Variant variant, Role role) {

    public static RoleProjection of(VariantRoleLayer entry) {
        return new RoleProjection(entry.variant(), entry.role());
    }
}
